<?php
/**
 * N3Download (Nesquik Download)
 *
 * Система представляет собой скрипт загруз-центра
 * Система написана на PHP, хранящая данные в БД MYSQL
 * Высокая скорость работы скрипта, устойчивость к нагрузкам
 *
 * Автор: N3squ1k (Несквик)
 * ICQ: 551-228
 *
 * Вы не имеете право продавать скрипта
 * Вы не имеете право вылаживать скрипта
 * Все права на данный скрипт пренадлежат его автору
 *
 * Все права защищены © 2010
 */
define('PAGESTR', 5);

if (file_exists('../__incfiles/core.php')) {
	require_once('../__incfiles/core.php');
} else {
	exit('Немогу подключить системный файл');
}

require_header('Все новости');

$count = mysql_fetch_row(mysql_query("SELECT COUNT(`id`) FROM `".SQLprefixTable."news`"));

$k_page = k_page($count[0], PAGESTR); 
$page = page($k_page);
define('START', (PAGESTR * $page - PAGESTR));

$sql = mysql_query("SELECT `n`.*, COUNT(`c`.`id`) AS `count` FROM `".SQLprefixTable."news` AS `n` LEFT JOIN `".SQLprefixTable."news_comment` AS `c` ON (`c`.`ref`=`n`.`id`) GROUP BY `n`.`id` ORDER BY `n`.`id` DESC LIMIT ".START.", ".PAGESTR);

echo '<div class="block">Всего новостей: '.$count[0].'</div>';

if (mysql_num_rows($sql)) {

	$i = 0;
	
	while ($row = mysql_fetch_assoc($sql)) {
		echo '<div class="'.($i++ % 2 ? 'main' : 'menu').'"><b>'.htmlspecialchars($row['name']).'</b> / '.clock($row['date']).'<br/>'.nl2br(bbcode(htmlspecialchars($row['text']))).'<br/>
		<a name="'.$row['id'].'" href="'.SCRIPT.'/news/comment.xhtml/'.$row['id'].'/">Комментарии</a> ['.$row['count'].']</div>';
	}

	if ($k_page > 1) {
		navigation(SCRIPT.'/news/index.xhtml/', $k_page, $page);
	}
	
} else {
	echo '<div class="menu">Новостей еще нет!</div>';
}

echo '<div class="block"><a href="'.SCRIPT.'">Все загрузки</a></div>';

require_footer();
?>